• Paul Eggert's avatar
    Don't assume 'grep' supports GREP_OPTIONS. · 2e4c2fe2
    Paul Eggert authored
    The GREP_OPTIONS environment variable is planned to be marked
    obsolescent in GNU grep, due to problems in its use, so stop
    relying on it.
    * progmodes/grep.el (grep-highlight-matches): Document this.
    (grep-process-setup): Do not set GREP_OPTIONS.
    (grep-compute-defaults): Use an explicit --color option if supported.
    2e4c2fe2
ChangeLog 689 KB